// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.Deployment.Linux {
    
    
    public partial class DotDesktopViewWidget {
        
        private Gtk.Notebook notebook;
        
        private Gtk.ScrolledWindow scrolledwindow1;
        
        private Gtk.VBox vbox4;
        
        private Gtk.HBox hbox2;
        
        private Gtk.Label label9;
        
        private Gtk.ComboBox comboType;
        
        private Gtk.HSeparator hseparator4;
        
        private Gtk.HBox hbox3;
        
        private Gtk.Label label1;
        
        private Gtk.ComboBox comboLocales;
        
        private Gtk.Button buttonNewLocale;
        
        private Gtk.Table table6;
        
        private Gtk.Entry entryComment;
        
        private Gtk.Entry entryGenericName;
        
        private Gtk.Entry entryIcon;
        
        private Gtk.Entry entryName;
        
        private Gtk.Label label10;
        
        private Gtk.Label label11;
        
        private Gtk.Label label13;
        
        private Gtk.Label label20;
        
        private Gtk.HSeparator hseparator2;
        
        private Gtk.Table tableCommand;
        
        private Gtk.CheckButton checkTerminal;
        
        private Gtk.Entry entryExec;
        
        private Gtk.Entry entryPath;
        
        private Gtk.Entry entryTryExec;
        
        private Gtk.Label label14;
        
        private Gtk.Label label15;
        
        private Gtk.Label label16;
        
        private Gtk.HBox boxUrl;
        
        private Gtk.Label label18;
        
        private Gtk.Entry entryUrl;
        
        private Gtk.Label label7;
        
        private Gtk.VBox boxMenu;
        
        private Gtk.CheckButton checkShowInMenu;
        
        private Gtk.HSeparator hseparator5;
        
        private Gtk.VBox boxCategories;
        
        private Gtk.Label label17;
        
        private Gtk.HBox hbox6;
        
        private Gtk.ScrolledWindow scrolledwindow2;
        
        private Gtk.TreeView treeCategories;
        
        private Gtk.VBox vbox3;
        
        private Gtk.Button buttonAddCategories;
        
        private Gtk.Button buttonRemoveCategory;
        
        private Gtk.HSeparator hseparator6;
        
        private Gtk.Label label3;
        
        private Gtk.RadioButton radioAlwaysShow;
        
        private Gtk.RadioButton radioOnlyShowIn;
        
        private Gtk.RadioButton radioNotShowIn;
        
        private Gtk.Frame frame1;
        
        private Gtk.Alignment GtkAlignment4;
        
        private Gtk.TreeView treeEnvs;
        
        private Gtk.Label label2;
        
        private Gtk.Table tableMimeTypes;
        
        private Gtk.HBox hbox1;
        
        private Gtk.Label label4;
        
        private Gtk.ScrolledWindow scrolledwindow3;
        
        private Gtk.TreeView treeMimeTypes;
        
        private Gtk.VBox vbox5;
        
        private Gtk.Button buttonAddMimeType;
        
        private Gtk.Button buttonRemoveMimeType;
        
        private Gtk.Label label8;
        
        private Gtk.HBox hbox4;
        
        private Gtk.ScrolledWindow scrolledwindow4;
        
        private Gtk.TreeView treeEntries;
        
        private Gtk.VBox vbox7;
        
        private Gtk.Button buttonAddEntry;
        
        private Gtk.Button buttonRemoveEntry;
        
        private Gtk.Label label5;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.Deployment.Linux.DotDesktopViewWidget
            Stetic.BinContainer.Attach(this);
            this.CanFocus = true;
            this.Name = "MonoDevelop.Deployment.Linux.DotDesktopViewWidget";
            // Container child MonoDevelop.Deployment.Linux.DotDesktopViewWidget.Gtk.Container+ContainerChild
            this.notebook = new Gtk.Notebook();
            this.notebook.CanFocus = true;
            this.notebook.Name = "notebook";
            this.notebook.CurrentPage = 0;
            this.notebook.TabPos = ((Gtk.PositionType)(0));
            // Container child notebook.Gtk.Notebook+NotebookChild
            this.scrolledwindow1 = new Gtk.ScrolledWindow();
            this.scrolledwindow1.CanFocus = true;
            this.scrolledwindow1.Name = "scrolledwindow1";
            // Container child scrolledwindow1.Gtk.Container+ContainerChild
            Gtk.Viewport w1 = new Gtk.Viewport();
            w1.CanFocus = true;
            w1.ShadowType = ((Gtk.ShadowType)(0));
            // Container child GtkViewport.Gtk.Container+ContainerChild
            this.vbox4 = new Gtk.VBox();
            this.vbox4.Name = "vbox4";
            this.vbox4.Spacing = 12;
            this.vbox4.BorderWidth = ((uint)(12));
            // Container child vbox4.Gtk.Box+BoxChild
            this.hbox2 = new Gtk.HBox();
            this.hbox2.Name = "hbox2";
            this.hbox2.Spacing = 6;
            // Container child hbox2.Gtk.Box+BoxChild
            this.label9 = new Gtk.Label();
            this.label9.Name = "label9";
            this.label9.Xalign = 0F;
            this.label9.LabelProp = Mono.Unix.Catalog.GetString("Desktop Entry Type:");
            this.hbox2.Add(this.label9);
            Gtk.Box.BoxChild w2 = ((Gtk.Box.BoxChild)(this.hbox2[this.label9]));
            w2.Position = 0;
            w2.Expand = false;
            w2.Fill = false;
            // Container child hbox2.Gtk.Box+BoxChild
            this.comboType = Gtk.ComboBox.NewText();
            this.comboType.AppendText(Mono.Unix.Catalog.GetString("Application"));
            this.comboType.AppendText(Mono.Unix.Catalog.GetString("Link"));
            this.comboType.AppendText(Mono.Unix.Catalog.GetString("Directory"));
            this.comboType.Name = "comboType";
            this.comboType.Active = 0;
            this.hbox2.Add(this.comboType);
            Gtk.Box.BoxChild w3 = ((Gtk.Box.BoxChild)(this.hbox2[this.comboType]));
            w3.Position = 1;
            w3.Expand = false;
            w3.Fill = false;
            this.vbox4.Add(this.hbox2);
            Gtk.Box.BoxChild w4 = ((Gtk.Box.BoxChild)(this.vbox4[this.hbox2]));
            w4.Position = 0;
            w4.Expand = false;
            w4.Fill = false;
            // Container child vbox4.Gtk.Box+BoxChild
            this.hseparator4 = new Gtk.HSeparator();
            this.hseparator4.CanFocus = true;
            this.hseparator4.Name = "hseparator4";
            this.vbox4.Add(this.hseparator4);
            Gtk.Box.BoxChild w5 = ((Gtk.Box.BoxChild)(this.vbox4[this.hseparator4]));
            w5.Position = 1;
            w5.Expand = false;
            w5.Fill = false;
            // Container child vbox4.Gtk.Box+BoxChild
            this.hbox3 = new Gtk.HBox();
            this.hbox3.Name = "hbox3";
            this.hbox3.Spacing = 6;
            // Container child hbox3.Gtk.Box+BoxChild
            this.label1 = new Gtk.Label();
            this.label1.Name = "label1";
            this.label1.LabelProp = Mono.Unix.Catalog.GetString("Show strings for locale:");
            this.hbox3.Add(this.label1);
            Gtk.Box.BoxChild w6 = ((Gtk.Box.BoxChild)(this.hbox3[this.label1]));
            w6.Position = 0;
            w6.Expand = false;
            w6.Fill = false;
            // Container child hbox3.Gtk.Box+BoxChild
            this.comboLocales = Gtk.ComboBox.NewText();
            this.comboLocales.Name = "comboLocales";
            this.hbox3.Add(this.comboLocales);
            Gtk.Box.BoxChild w7 = ((Gtk.Box.BoxChild)(this.hbox3[this.comboLocales]));
            w7.Position = 1;
            w7.Expand = false;
            w7.Fill = false;
            // Container child hbox3.Gtk.Box+BoxChild
            this.buttonNewLocale = new Gtk.Button();
            this.buttonNewLocale.CanFocus = true;
            this.buttonNewLocale.Name = "buttonNewLocale";
            this.buttonNewLocale.Label = Mono.Unix.Catalog.GetString("New locale...");
            this.hbox3.Add(this.buttonNewLocale);
            Gtk.Box.BoxChild w8 = ((Gtk.Box.BoxChild)(this.hbox3[this.buttonNewLocale]));
            w8.Position = 2;
            w8.Expand = false;
            w8.Fill = false;
            this.vbox4.Add(this.hbox3);
            Gtk.Box.BoxChild w9 = ((Gtk.Box.BoxChild)(this.vbox4[this.hbox3]));
            w9.Position = 2;
            w9.Expand = false;
            w9.Fill = false;
            // Container child vbox4.Gtk.Box+BoxChild
            this.table6 = new Gtk.Table(((uint)(4)), ((uint)(2)), false);
            this.table6.CanFocus = true;
            this.table6.Name = "table6";
            this.table6.RowSpacing = ((uint)(6));
            this.table6.ColumnSpacing = ((uint)(6));
            // Container child table6.Gtk.Table+TableChild
            this.entryComment = new Gtk.Entry();
            this.entryComment.CanFocus = true;
            this.entryComment.Name = "entryComment";
            this.entryComment.IsEditable = true;
            this.entryComment.InvisibleChar = '●';
            this.table6.Add(this.entryComment);
            Gtk.Table.TableChild w10 = ((Gtk.Table.TableChild)(this.table6[this.entryComment]));
            w10.TopAttach = ((uint)(2));
            w10.BottomAttach = ((uint)(3));
            w10.LeftAttach = ((uint)(1));
            w10.RightAttach = ((uint)(2));
            w10.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table6.Gtk.Table+TableChild
            this.entryGenericName = new Gtk.Entry();
            this.entryGenericName.CanFocus = true;
            this.entryGenericName.Name = "entryGenericName";
            this.entryGenericName.IsEditable = true;
            this.entryGenericName.InvisibleChar = '●';
            this.table6.Add(this.entryGenericName);
            Gtk.Table.TableChild w11 = ((Gtk.Table.TableChild)(this.table6[this.entryGenericName]));
            w11.TopAttach = ((uint)(1));
            w11.BottomAttach = ((uint)(2));
            w11.LeftAttach = ((uint)(1));
            w11.RightAttach = ((uint)(2));
            w11.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table6.Gtk.Table+TableChild
            this.entryIcon = new Gtk.Entry();
            this.entryIcon.CanFocus = true;
            this.entryIcon.Name = "entryIcon";
            this.entryIcon.IsEditable = true;
            this.entryIcon.InvisibleChar = '●';
            this.table6.Add(this.entryIcon);
            Gtk.Table.TableChild w12 = ((Gtk.Table.TableChild)(this.table6[this.entryIcon]));
            w12.TopAttach = ((uint)(3));
            w12.BottomAttach = ((uint)(4));
            w12.LeftAttach = ((uint)(1));
            w12.RightAttach = ((uint)(2));
            w12.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table6.Gtk.Table+TableChild
            this.entryName = new Gtk.Entry();
            this.entryName.CanFocus = true;
            this.entryName.Name = "entryName";
            this.entryName.IsEditable = true;
            this.entryName.WidthChars = 50;
            this.entryName.InvisibleChar = '●';
            this.table6.Add(this.entryName);
            Gtk.Table.TableChild w13 = ((Gtk.Table.TableChild)(this.table6[this.entryName]));
            w13.LeftAttach = ((uint)(1));
            w13.RightAttach = ((uint)(2));
            w13.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table6.Gtk.Table+TableChild
            this.label10 = new Gtk.Label();
            this.label10.Name = "label10";
            this.label10.Xalign = 0F;
            this.label10.LabelProp = Mono.Unix.Catalog.GetString("Icon:");
            this.table6.Add(this.label10);
            Gtk.Table.TableChild w14 = ((Gtk.Table.TableChild)(this.table6[this.label10]));
            w14.TopAttach = ((uint)(3));
            w14.BottomAttach = ((uint)(4));
            w14.XOptions = ((Gtk.AttachOptions)(4));
            w14.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table6.Gtk.Table+TableChild
            this.label11 = new Gtk.Label();
            this.label11.Name = "label11";
            this.label11.Xalign = 0F;
            this.label11.LabelProp = Mono.Unix.Catalog.GetString("Generic name:");
            this.table6.Add(this.label11);
            Gtk.Table.TableChild w15 = ((Gtk.Table.TableChild)(this.table6[this.label11]));
            w15.TopAttach = ((uint)(1));
            w15.BottomAttach = ((uint)(2));
            w15.XOptions = ((Gtk.AttachOptions)(4));
            w15.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table6.Gtk.Table+TableChild
            this.label13 = new Gtk.Label();
            this.label13.Name = "label13";
            this.label13.Xalign = 0F;
            this.label13.LabelProp = Mono.Unix.Catalog.GetString("Comment:");
            this.table6.Add(this.label13);
            Gtk.Table.TableChild w16 = ((Gtk.Table.TableChild)(this.table6[this.label13]));
            w16.TopAttach = ((uint)(2));
            w16.BottomAttach = ((uint)(3));
            w16.XOptions = ((Gtk.AttachOptions)(4));
            w16.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table6.Gtk.Table+TableChild
            this.label20 = new Gtk.Label();
            this.label20.Name = "label20";
            this.label20.Xalign = 0F;
            this.label20.LabelProp = Mono.Unix.Catalog.GetString("Name:");
            this.table6.Add(this.label20);
            Gtk.Table.TableChild w17 = ((Gtk.Table.TableChild)(this.table6[this.label20]));
            w17.XOptions = ((Gtk.AttachOptions)(4));
            w17.YOptions = ((Gtk.AttachOptions)(4));
            this.vbox4.Add(this.table6);
            Gtk.Box.BoxChild w18 = ((Gtk.Box.BoxChild)(this.vbox4[this.table6]));
            w18.Position = 3;
            w18.Expand = false;
            w18.Fill = false;
            // Container child vbox4.Gtk.Box+BoxChild
            this.hseparator2 = new Gtk.HSeparator();
            this.hseparator2.Name = "hseparator2";
            this.vbox4.Add(this.hseparator2);
            Gtk.Box.BoxChild w19 = ((Gtk.Box.BoxChild)(this.vbox4[this.hseparator2]));
            w19.Position = 4;
            w19.Expand = false;
            w19.Fill = false;
            // Container child vbox4.Gtk.Box+BoxChild
            this.tableCommand = new Gtk.Table(((uint)(4)), ((uint)(2)), false);
            this.tableCommand.Name = "tableCommand";
            this.tableCommand.RowSpacing = ((uint)(6));
            this.tableCommand.ColumnSpacing = ((uint)(6));
            // Container child tableCommand.Gtk.Table+TableChild
            this.checkTerminal = new Gtk.CheckButton();
            this.checkTerminal.CanFocus = true;
            this.checkTerminal.Name = "checkTerminal";
            this.checkTerminal.Label = Mono.Unix.Catalog.GetString("Run in terminal");
            this.checkTerminal.DrawIndicator = true;
            this.tableCommand.Add(this.checkTerminal);
            Gtk.Table.TableChild w20 = ((Gtk.Table.TableChild)(this.tableCommand[this.checkTerminal]));
            w20.TopAttach = ((uint)(3));
            w20.BottomAttach = ((uint)(4));
            w20.RightAttach = ((uint)(2));
            w20.XOptions = ((Gtk.AttachOptions)(4));
            w20.YOptions = ((Gtk.AttachOptions)(4));
            // Container child tableCommand.Gtk.Table+TableChild
            this.entryExec = new Gtk.Entry();
            this.entryExec.CanFocus = true;
            this.entryExec.Name = "entryExec";
            this.entryExec.IsEditable = true;
            this.entryExec.InvisibleChar = '●';
            this.tableCommand.Add(this.entryExec);
            Gtk.Table.TableChild w21 = ((Gtk.Table.TableChild)(this.tableCommand[this.entryExec]));
            w21.LeftAttach = ((uint)(1));
            w21.RightAttach = ((uint)(2));
            w21.YOptions = ((Gtk.AttachOptions)(4));
            // Container child tableCommand.Gtk.Table+TableChild
            this.entryPath = new Gtk.Entry();
            this.entryPath.CanFocus = true;
            this.entryPath.Name = "entryPath";
            this.entryPath.IsEditable = true;
            this.entryPath.InvisibleChar = '●';
            this.tableCommand.Add(this.entryPath);
            Gtk.Table.TableChild w22 = ((Gtk.Table.TableChild)(this.tableCommand[this.entryPath]));
            w22.TopAttach = ((uint)(2));
            w22.BottomAttach = ((uint)(3));
            w22.LeftAttach = ((uint)(1));
            w22.RightAttach = ((uint)(2));
            w22.YOptions = ((Gtk.AttachOptions)(4));
            // Container child tableCommand.Gtk.Table+TableChild
            this.entryTryExec = new Gtk.Entry();
            this.entryTryExec.CanFocus = true;
            this.entryTryExec.Name = "entryTryExec";
            this.entryTryExec.IsEditable = true;
            this.entryTryExec.InvisibleChar = '●';
            this.tableCommand.Add(this.entryTryExec);
            Gtk.Table.TableChild w23 = ((Gtk.Table.TableChild)(this.tableCommand[this.entryTryExec]));
            w23.TopAttach = ((uint)(1));
            w23.BottomAttach = ((uint)(2));
            w23.LeftAttach = ((uint)(1));
            w23.RightAttach = ((uint)(2));
            w23.YOptions = ((Gtk.AttachOptions)(4));
            // Container child tableCommand.Gtk.Table+TableChild
            this.label14 = new Gtk.Label();
            this.label14.Name = "label14";
            this.label14.Xalign = 0F;
            this.label14.LabelProp = Mono.Unix.Catalog.GetString("Command:");
            this.tableCommand.Add(this.label14);
            Gtk.Table.TableChild w24 = ((Gtk.Table.TableChild)(this.tableCommand[this.label14]));
            w24.XOptions = ((Gtk.AttachOptions)(4));
            w24.YOptions = ((Gtk.AttachOptions)(4));
            // Container child tableCommand.Gtk.Table+TableChild
            this.label15 = new Gtk.Label();
            this.label15.Name = "label15";
            this.label15.Xalign = 0F;
            this.label15.LabelProp = Mono.Unix.Catalog.GetString("Test exe:");
            this.tableCommand.Add(this.label15);
            Gtk.Table.TableChild w25 = ((Gtk.Table.TableChild)(this.tableCommand[this.label15]));
            w25.TopAttach = ((uint)(1));
            w25.BottomAttach = ((uint)(2));
            w25.XOptions = ((Gtk.AttachOptions)(4));
            w25.YOptions = ((Gtk.AttachOptions)(4));
            // Container child tableCommand.Gtk.Table+TableChild
            this.label16 = new Gtk.Label();
            this.label16.Name = "label16";
            this.label16.Xalign = 0F;
            this.label16.LabelProp = Mono.Unix.Catalog.GetString("Working path:");
            this.tableCommand.Add(this.label16);
            Gtk.Table.TableChild w26 = ((Gtk.Table.TableChild)(this.tableCommand[this.label16]));
            w26.TopAttach = ((uint)(2));
            w26.BottomAttach = ((uint)(3));
            w26.XOptions = ((Gtk.AttachOptions)(4));
            w26.YOptions = ((Gtk.AttachOptions)(4));
            this.vbox4.Add(this.tableCommand);
            Gtk.Box.BoxChild w27 = ((Gtk.Box.BoxChild)(this.vbox4[this.tableCommand]));
            w27.Position = 5;
            w27.Expand = false;
            w27.Fill = false;
            // Container child vbox4.Gtk.Box+BoxChild
            this.boxUrl = new Gtk.HBox();
            this.boxUrl.Name = "boxUrl";
            this.boxUrl.Spacing = 6;
            // Container child boxUrl.Gtk.Box+BoxChild
            this.label18 = new Gtk.Label();
            this.label18.Name = "label18";
            this.label18.Xalign = 0F;
            this.label18.LabelProp = Mono.Unix.Catalog.GetString("Url:");
            this.boxUrl.Add(this.label18);
            Gtk.Box.BoxChild w28 = ((Gtk.Box.BoxChild)(this.boxUrl[this.label18]));
            w28.Position = 0;
            w28.Expand = false;
            w28.Fill = false;
            // Container child boxUrl.Gtk.Box+BoxChild
            this.entryUrl = new Gtk.Entry();
            this.entryUrl.CanFocus = true;
            this.entryUrl.Name = "entryUrl";
            this.entryUrl.IsEditable = true;
            this.entryUrl.InvisibleChar = '●';
            this.boxUrl.Add(this.entryUrl);
            Gtk.Box.BoxChild w29 = ((Gtk.Box.BoxChild)(this.boxUrl[this.entryUrl]));
            w29.Position = 1;
            this.vbox4.Add(this.boxUrl);
            Gtk.Box.BoxChild w30 = ((Gtk.Box.BoxChild)(this.vbox4[this.boxUrl]));
            w30.Position = 6;
            w30.Expand = false;
            w30.Fill = false;
            w1.Add(this.vbox4);
            this.scrolledwindow1.Add(w1);
            this.notebook.Add(this.scrolledwindow1);
            // Notebook tab
            this.label7 = new Gtk.Label();
            this.label7.Name = "label7";
            this.label7.LabelProp = Mono.Unix.Catalog.GetString("Header");
            this.notebook.SetTabLabel(this.scrolledwindow1, this.label7);
            this.label7.ShowAll();
            // Container child notebook.Gtk.Notebook+NotebookChild
            this.boxMenu = new Gtk.VBox();
            this.boxMenu.Name = "boxMenu";
            this.boxMenu.Spacing = 6;
            this.boxMenu.BorderWidth = ((uint)(12));
            // Container child boxMenu.Gtk.Box+BoxChild
            this.checkShowInMenu = new Gtk.CheckButton();
            this.checkShowInMenu.CanFocus = true;
            this.checkShowInMenu.Name = "checkShowInMenu";
            this.checkShowInMenu.Label = Mono.Unix.Catalog.GetString("Show in desktop menu");
            this.checkShowInMenu.DrawIndicator = true;
            this.boxMenu.Add(this.checkShowInMenu);
            Gtk.Box.BoxChild w34 = ((Gtk.Box.BoxChild)(this.boxMenu[this.checkShowInMenu]));
            w34.Position = 0;
            w34.Expand = false;
            w34.Fill = false;
            // Container child boxMenu.Gtk.Box+BoxChild
            this.hseparator5 = new Gtk.HSeparator();
            this.hseparator5.Name = "hseparator5";
            this.boxMenu.Add(this.hseparator5);
            Gtk.Box.BoxChild w35 = ((Gtk.Box.BoxChild)(this.boxMenu[this.hseparator5]));
            w35.Position = 1;
            w35.Expand = false;
            w35.Fill = false;
            // Container child boxMenu.Gtk.Box+BoxChild
            this.boxCategories = new Gtk.VBox();
            this.boxCategories.Name = "boxCategories";
            this.boxCategories.Spacing = 6;
            // Container child boxCategories.Gtk.Box+BoxChild
            this.label17 = new Gtk.Label();
            this.label17.Name = "label17";
            this.label17.Xalign = 0F;
            this.label17.LabelProp = Mono.Unix.Catalog.GetString("Menu categories:");
            this.boxCategories.Add(this.label17);
            Gtk.Box.BoxChild w36 = ((Gtk.Box.BoxChild)(this.boxCategories[this.label17]));
            w36.Position = 0;
            w36.Expand = false;
            w36.Fill = false;
            // Container child boxCategories.Gtk.Box+BoxChild
            this.hbox6 = new Gtk.HBox();
            this.hbox6.Name = "hbox6";
            this.hbox6.Spacing = 6;
            // Container child hbox6.Gtk.Box+BoxChild
            this.scrolledwindow2 = new Gtk.ScrolledWindow();
            this.scrolledwindow2.HeightRequest = 150;
            this.scrolledwindow2.CanFocus = true;
            this.scrolledwindow2.Name = "scrolledwindow2";
            this.scrolledwindow2.ShadowType = ((Gtk.ShadowType)(1));
            // Container child scrolledwindow2.Gtk.Container+ContainerChild
            this.treeCategories = new Gtk.TreeView();
            this.treeCategories.CanFocus = true;
            this.treeCategories.Name = "treeCategories";
            this.scrolledwindow2.Add(this.treeCategories);
            this.hbox6.Add(this.scrolledwindow2);
            Gtk.Box.BoxChild w38 = ((Gtk.Box.BoxChild)(this.hbox6[this.scrolledwindow2]));
            w38.Position = 0;
            // Container child hbox6.Gtk.Box+BoxChild
            this.vbox3 = new Gtk.VBox();
            this.vbox3.CanFocus = true;
            this.vbox3.Name = "vbox3";
            this.vbox3.Spacing = 6;
            // Container child vbox3.Gtk.Box+BoxChild
            this.buttonAddCategories = new Gtk.Button();
            this.buttonAddCategories.CanFocus = true;
            this.buttonAddCategories.Name = "buttonAddCategories";
            this.buttonAddCategories.UseStock = true;
            this.buttonAddCategories.UseUnderline = true;
            this.buttonAddCategories.Label = "gtk-add";
            this.vbox3.Add(this.buttonAddCategories);
            Gtk.Box.BoxChild w39 = ((Gtk.Box.BoxChild)(this.vbox3[this.buttonAddCategories]));
            w39.Position = 0;
            w39.Expand = false;
            w39.Fill = false;
            // Container child vbox3.Gtk.Box+BoxChild
            this.buttonRemoveCategory = new Gtk.Button();
            this.buttonRemoveCategory.CanFocus = true;
            this.buttonRemoveCategory.Name = "buttonRemoveCategory";
            this.buttonRemoveCategory.UseStock = true;
            this.buttonRemoveCategory.UseUnderline = true;
            this.buttonRemoveCategory.Label = "gtk-remove";
            this.vbox3.Add(this.buttonRemoveCategory);
            Gtk.Box.BoxChild w40 = ((Gtk.Box.BoxChild)(this.vbox3[this.buttonRemoveCategory]));
            w40.Position = 1;
            w40.Expand = false;
            w40.Fill = false;
            this.hbox6.Add(this.vbox3);
            Gtk.Box.BoxChild w41 = ((Gtk.Box.BoxChild)(this.hbox6[this.vbox3]));
            w41.Position = 1;
            w41.Expand = false;
            w41.Fill = false;
            this.boxCategories.Add(this.hbox6);
            Gtk.Box.BoxChild w42 = ((Gtk.Box.BoxChild)(this.boxCategories[this.hbox6]));
            w42.Position = 1;
            // Container child boxCategories.Gtk.Box+BoxChild
            this.hseparator6 = new Gtk.HSeparator();
            this.hseparator6.CanFocus = true;
            this.hseparator6.Name = "hseparator6";
            this.boxCategories.Add(this.hseparator6);
            Gtk.Box.BoxChild w43 = ((Gtk.Box.BoxChild)(this.boxCategories[this.hseparator6]));
            w43.Position = 2;
            w43.Expand = false;
            w43.Fill = false;
            this.boxMenu.Add(this.boxCategories);
            Gtk.Box.BoxChild w44 = ((Gtk.Box.BoxChild)(this.boxMenu[this.boxCategories]));
            w44.Position = 2;
            // Container child boxMenu.Gtk.Box+BoxChild
            this.label3 = new Gtk.Label();
            this.label3.CanFocus = true;
            this.label3.Name = "label3";
            this.label3.Xalign = 0F;
            this.label3.LabelProp = Mono.Unix.Catalog.GetString("Select the environments that should display this desktop entry:");
            this.boxMenu.Add(this.label3);
            Gtk.Box.BoxChild w45 = ((Gtk.Box.BoxChild)(this.boxMenu[this.label3]));
            w45.Position = 3;
            w45.Expand = false;
            w45.Fill = false;
            // Container child boxMenu.Gtk.Box+BoxChild
            this.radioAlwaysShow = new Gtk.RadioButton(Mono.Unix.Catalog.GetString("Always show"));
            this.radioAlwaysShow.CanFocus = true;
            this.radioAlwaysShow.Name = "radioAlwaysShow";
            this.radioAlwaysShow.DrawIndicator = true;
            this.radioAlwaysShow.Group = new GLib.SList(System.IntPtr.Zero);
            this.boxMenu.Add(this.radioAlwaysShow);
            Gtk.Box.BoxChild w46 = ((Gtk.Box.BoxChild)(this.boxMenu[this.radioAlwaysShow]));
            w46.Position = 4;
            w46.Expand = false;
            w46.Fill = false;
            // Container child boxMenu.Gtk.Box+BoxChild
            this.radioOnlyShowIn = new Gtk.RadioButton(Mono.Unix.Catalog.GetString("Only show in the following environments:"));
            this.radioOnlyShowIn.CanFocus = true;
            this.radioOnlyShowIn.Name = "radioOnlyShowIn";
            this.radioOnlyShowIn.DrawIndicator = true;
            this.radioOnlyShowIn.Group = this.radioAlwaysShow.Group;
            this.boxMenu.Add(this.radioOnlyShowIn);
            Gtk.Box.BoxChild w47 = ((Gtk.Box.BoxChild)(this.boxMenu[this.radioOnlyShowIn]));
            w47.Position = 5;
            w47.Expand = false;
            w47.Fill = false;
            // Container child boxMenu.Gtk.Box+BoxChild
            this.radioNotShowIn = new Gtk.RadioButton(Mono.Unix.Catalog.GetString("Not show in the following environments:"));
            this.radioNotShowIn.CanFocus = true;
            this.radioNotShowIn.Name = "radioNotShowIn";
            this.radioNotShowIn.DrawIndicator = true;
            this.radioNotShowIn.Group = this.radioAlwaysShow.Group;
            this.boxMenu.Add(this.radioNotShowIn);
            Gtk.Box.BoxChild w48 = ((Gtk.Box.BoxChild)(this.boxMenu[this.radioNotShowIn]));
            w48.Position = 6;
            w48.Expand = false;
            w48.Fill = false;
            // Container child boxMenu.Gtk.Box+BoxChild
            this.frame1 = new Gtk.Frame();
            this.frame1.Name = "frame1";
            this.frame1.ShadowType = ((Gtk.ShadowType)(1));
            // Container child frame1.Gtk.Container+ContainerChild
            this.GtkAlignment4 = new Gtk.Alignment(0F, 0F, 1F, 1F);
            this.GtkAlignment4.Name = "GtkAlignment4";
            // Container child GtkAlignment4.Gtk.Container+ContainerChild
            this.treeEnvs = new Gtk.TreeView();
            this.treeEnvs.CanFocus = true;
            this.treeEnvs.Name = "treeEnvs";
            this.GtkAlignment4.Add(this.treeEnvs);
            this.frame1.Add(this.GtkAlignment4);
            this.boxMenu.Add(this.frame1);
            Gtk.Box.BoxChild w51 = ((Gtk.Box.BoxChild)(this.boxMenu[this.frame1]));
            w51.Position = 7;
            w51.Expand = false;
            w51.Fill = false;
            this.notebook.Add(this.boxMenu);
            Gtk.Notebook.NotebookChild w52 = ((Gtk.Notebook.NotebookChild)(this.notebook[this.boxMenu]));
            w52.Position = 1;
            // Notebook tab
            this.label2 = new Gtk.Label();
            this.label2.CanFocus = true;
            this.label2.Name = "label2";
            this.label2.LabelProp = Mono.Unix.Catalog.GetString("Menu entry");
            this.notebook.SetTabLabel(this.boxMenu, this.label2);
            this.label2.ShowAll();
            // Container child notebook.Gtk.Notebook+NotebookChild
            this.tableMimeTypes = new Gtk.Table(((uint)(2)), ((uint)(2)), false);
            this.tableMimeTypes.Name = "tableMimeTypes";
            this.tableMimeTypes.RowSpacing = ((uint)(6));
            this.tableMimeTypes.ColumnSpacing = ((uint)(6));
            this.tableMimeTypes.BorderWidth = ((uint)(12));
            // Container child tableMimeTypes.Gtk.Table+TableChild
            this.hbox1 = new Gtk.HBox();
            this.hbox1.Name = "hbox1";
            this.hbox1.Spacing = 6;
            // Container child hbox1.Gtk.Box+BoxChild
            this.label4 = new Gtk.Label();
            this.label4.Name = "label4";
            this.label4.Xalign = 0F;
            this.label4.LabelProp = Mono.Unix.Catalog.GetString("MIME types supported by this application:");
            this.hbox1.Add(this.label4);
            Gtk.Box.BoxChild w53 = ((Gtk.Box.BoxChild)(this.hbox1[this.label4]));
            w53.Position = 0;
            w53.Expand = false;
            w53.Fill = false;
            this.tableMimeTypes.Add(this.hbox1);
            Gtk.Table.TableChild w54 = ((Gtk.Table.TableChild)(this.tableMimeTypes[this.hbox1]));
            w54.YOptions = ((Gtk.AttachOptions)(4));
            // Container child tableMimeTypes.Gtk.Table+TableChild
            this.scrolledwindow3 = new Gtk.ScrolledWindow();
            this.scrolledwindow3.CanFocus = true;
            this.scrolledwindow3.Name = "scrolledwindow3";
            this.scrolledwindow3.ShadowType = ((Gtk.ShadowType)(1));
            // Container child scrolledwindow3.Gtk.Container+ContainerChild
            this.treeMimeTypes = new Gtk.TreeView();
            this.treeMimeTypes.CanFocus = true;
            this.treeMimeTypes.Name = "treeMimeTypes";
            this.scrolledwindow3.Add(this.treeMimeTypes);
            this.tableMimeTypes.Add(this.scrolledwindow3);
            Gtk.Table.TableChild w56 = ((Gtk.Table.TableChild)(this.tableMimeTypes[this.scrolledwindow3]));
            w56.TopAttach = ((uint)(1));
            w56.BottomAttach = ((uint)(2));
            // Container child tableMimeTypes.Gtk.Table+TableChild
            this.vbox5 = new Gtk.VBox();
            this.vbox5.Name = "vbox5";
            this.vbox5.Spacing = 6;
            // Container child vbox5.Gtk.Box+BoxChild
            this.buttonAddMimeType = new Gtk.Button();
            this.buttonAddMimeType.CanFocus = true;
            this.buttonAddMimeType.Name = "buttonAddMimeType";
            this.buttonAddMimeType.UseStock = true;
            this.buttonAddMimeType.UseUnderline = true;
            this.buttonAddMimeType.Label = "gtk-add";
            this.vbox5.Add(this.buttonAddMimeType);
            Gtk.Box.BoxChild w57 = ((Gtk.Box.BoxChild)(this.vbox5[this.buttonAddMimeType]));
            w57.Position = 0;
            w57.Expand = false;
            w57.Fill = false;
            // Container child vbox5.Gtk.Box+BoxChild
            this.buttonRemoveMimeType = new Gtk.Button();
            this.buttonRemoveMimeType.CanFocus = true;
            this.buttonRemoveMimeType.Name = "buttonRemoveMimeType";
            this.buttonRemoveMimeType.UseStock = true;
            this.buttonRemoveMimeType.UseUnderline = true;
            this.buttonRemoveMimeType.Label = "gtk-remove";
            this.vbox5.Add(this.buttonRemoveMimeType);
            Gtk.Box.BoxChild w58 = ((Gtk.Box.BoxChild)(this.vbox5[this.buttonRemoveMimeType]));
            w58.Position = 1;
            w58.Expand = false;
            w58.Fill = false;
            this.tableMimeTypes.Add(this.vbox5);
            Gtk.Table.TableChild w59 = ((Gtk.Table.TableChild)(this.tableMimeTypes[this.vbox5]));
            w59.TopAttach = ((uint)(1));
            w59.BottomAttach = ((uint)(2));
            w59.LeftAttach = ((uint)(1));
            w59.RightAttach = ((uint)(2));
            w59.XOptions = ((Gtk.AttachOptions)(4));
            this.notebook.Add(this.tableMimeTypes);
            Gtk.Notebook.NotebookChild w60 = ((Gtk.Notebook.NotebookChild)(this.notebook[this.tableMimeTypes]));
            w60.Position = 2;
            // Notebook tab
            this.label8 = new Gtk.Label();
            this.label8.CanFocus = true;
            this.label8.Name = "label8";
            this.label8.LabelProp = Mono.Unix.Catalog.GetString("Mime types");
            this.notebook.SetTabLabel(this.tableMimeTypes, this.label8);
            this.label8.ShowAll();
            // Container child notebook.Gtk.Notebook+NotebookChild
            this.hbox4 = new Gtk.HBox();
            this.hbox4.Name = "hbox4";
            this.hbox4.Spacing = 6;
            this.hbox4.BorderWidth = ((uint)(12));
            // Container child hbox4.Gtk.Box+BoxChild
            this.scrolledwindow4 = new Gtk.ScrolledWindow();
            this.scrolledwindow4.CanFocus = true;
            this.scrolledwindow4.Name = "scrolledwindow4";
            this.scrolledwindow4.ShadowType = ((Gtk.ShadowType)(1));
            // Container child scrolledwindow4.Gtk.Container+ContainerChild
            this.treeEntries = new Gtk.TreeView();
            this.treeEntries.CanFocus = true;
            this.treeEntries.Name = "treeEntries";
            this.scrolledwindow4.Add(this.treeEntries);
            this.hbox4.Add(this.scrolledwindow4);
            Gtk.Box.BoxChild w62 = ((Gtk.Box.BoxChild)(this.hbox4[this.scrolledwindow4]));
            w62.Position = 0;
            // Container child hbox4.Gtk.Box+BoxChild
            this.vbox7 = new Gtk.VBox();
            this.vbox7.Name = "vbox7";
            this.vbox7.Spacing = 6;
            // Container child vbox7.Gtk.Box+BoxChild
            this.buttonAddEntry = new Gtk.Button();
            this.buttonAddEntry.CanFocus = true;
            this.buttonAddEntry.Name = "buttonAddEntry";
            this.buttonAddEntry.UseStock = true;
            this.buttonAddEntry.UseUnderline = true;
            this.buttonAddEntry.Label = "gtk-add";
            this.vbox7.Add(this.buttonAddEntry);
            Gtk.Box.BoxChild w63 = ((Gtk.Box.BoxChild)(this.vbox7[this.buttonAddEntry]));
            w63.Position = 0;
            w63.Expand = false;
            w63.Fill = false;
            // Container child vbox7.Gtk.Box+BoxChild
            this.buttonRemoveEntry = new Gtk.Button();
            this.buttonRemoveEntry.CanFocus = true;
            this.buttonRemoveEntry.Name = "buttonRemoveEntry";
            this.buttonRemoveEntry.UseStock = true;
            this.buttonRemoveEntry.UseUnderline = true;
            this.buttonRemoveEntry.Label = "gtk-remove";
            this.vbox7.Add(this.buttonRemoveEntry);
            Gtk.Box.BoxChild w64 = ((Gtk.Box.BoxChild)(this.vbox7[this.buttonRemoveEntry]));
            w64.Position = 1;
            w64.Expand = false;
            w64.Fill = false;
            this.hbox4.Add(this.vbox7);
            Gtk.Box.BoxChild w65 = ((Gtk.Box.BoxChild)(this.hbox4[this.vbox7]));
            w65.Position = 1;
            w65.Expand = false;
            w65.Fill = false;
            this.notebook.Add(this.hbox4);
            Gtk.Notebook.NotebookChild w66 = ((Gtk.Notebook.NotebookChild)(this.notebook[this.hbox4]));
            w66.Position = 3;
            // Notebook tab
            this.label5 = new Gtk.Label();
            this.label5.Name = "label5";
            this.label5.LabelProp = Mono.Unix.Catalog.GetString("Other entries");
            this.notebook.SetTabLabel(this.hbox4, this.label5);
            this.label5.ShowAll();
            this.Add(this.notebook);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.Show();
            this.comboType.Changed += new System.EventHandler(this.OnComboTypeChanged);
            this.comboLocales.Changed += new System.EventHandler(this.OnComboLocalesChanged);
            this.entryName.Changed += new System.EventHandler(this.OnEntryNameChanged);
            this.entryIcon.Changed += new System.EventHandler(this.OnEntryIconChanged);
            this.entryGenericName.Changed += new System.EventHandler(this.OnEntryGenericNameChanged);
            this.entryComment.Changed += new System.EventHandler(this.OnEntryCommentChanged);
            this.entryTryExec.Changed += new System.EventHandler(this.OnEntryTryExecChanged);
            this.entryPath.Changed += new System.EventHandler(this.OnEntryPathChanged);
            this.entryExec.Changed += new System.EventHandler(this.OnEntryExecChanged);
            this.checkTerminal.Clicked += new System.EventHandler(this.OnCheckTerminalClicked);
            this.entryUrl.Changed += new System.EventHandler(this.OnEntryUrlChanged);
            this.checkShowInMenu.Clicked += new System.EventHandler(this.OnCheckShowInMenuClicked);
            this.buttonAddCategories.Clicked += new System.EventHandler(this.OnButtonAddCategoriesClicked);
            this.buttonRemoveCategory.Clicked += new System.EventHandler(this.OnButtonRemoveCategoryClicked);
            this.radioAlwaysShow.Clicked += new System.EventHandler(this.OnRadioAlwaysShowClicked);
            this.radioOnlyShowIn.Clicked += new System.EventHandler(this.OnRadioOnlyShowInClicked);
            this.radioNotShowIn.Clicked += new System.EventHandler(this.OnRadioNotShowInClicked);
            this.buttonAddMimeType.Clicked += new System.EventHandler(this.OnButtonAddMimeTypeClicked);
            this.buttonRemoveMimeType.Clicked += new System.EventHandler(this.OnButtonRemoveMimeTypeClicked);
            this.buttonAddEntry.Clicked += new System.EventHandler(this.OnButtonAddEntryClicked);
            this.buttonRemoveEntry.Clicked += new System.EventHandler(this.OnButtonRemoveEntryClicked);
        }
    }
}
